#
# spec file for package shotwell
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           shotwell
Version:        0.22.0+git.20160103
Release:        6.1
Summary:        Photo Manager for GNOME
License:        LGPL-2.1+
Group:          Productivity/Graphics/Viewers
Url:            http://yorba.org/shotwell/
# Source based on tar_scm _service
Source:         %{name}-%{version}.tar.xz
BuildRequires:  libraw-devel-static
BuildRequires:  update-desktop-files
BuildRequires:  vala >= 0.28.0
BuildRequires:  pkgconfig(atk)
BuildRequires:  pkgconfig(gconf-2.0)
BuildRequires:  pkgconfig(gdk-2.0)
BuildRequires:  pkgconfig(gdk-x11-2.0)
BuildRequires:  pkgconfig(gee-0.8) >= 0.5.0
BuildRequires:  pkgconfig(gexiv2) >= 0.3.92
BuildRequires:  pkgconfig(gio-unix-2.0) >= 2.20
BuildRequires:  pkgconfig(gnome-doc-utils)
BuildRequires:  pkgconfig(gstreamer-1.0) >= 1.0.0
BuildRequires:  pkgconfig(gstreamer-base-1.0) >= 1.0.0
BuildRequires:  pkgconfig(gstreamer-pbutils-1.0) >= 1.0.0
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.12.2
BuildRequires:  pkgconfig(gudev-1.0) >= 145
BuildRequires:  pkgconfig(json-glib-1.0)
BuildRequires:  pkgconfig(libexif) >= 0.6.16
BuildRequires:  pkgconfig(libgphoto2) >= 2.4.2
BuildRequires:  pkgconfig(libsoup-2.4) >= 2.26.0
BuildRequires:  pkgconfig(libxml-2.0) >= 2.6.32
BuildRequires:  pkgconfig(rest-0.7)
BuildRequires:  pkgconfig(sqlite3) >= 3.5.9
BuildRequires:  pkgconfig(unique-3.0) >= 3.0.0
BuildRequires:  pkgconfig(webkit2gtk-4.0)
Recommends:     %{name}-lang
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%glib2_gsettings_schema_requires

%description
Shotwell is a digital photo organizer designed for the GNOME desktop
environment. It allows you to import photos from disk or camera,
organize them in various ways, view them in full-window or fullscreen
mode, and export them to share with others.

%lang_package
%prep
%setup -q

%build
# We can't use the configure macro: it's not a standard autotools configure script
export CFLAGS="%{optflags}"
export LIB=%{_lib}
./configure \
        --prefix=%{_prefix} \
        --lib=%{_lib} \
        --libexec=%{_libexecdir}/%{name} \
        --disable-schemas-compile \
        --disable-desktop-update \
        --disable-icon-update
%__make %{?_smp_mfalgs}

%install
%makeinstall
%find_lang %{name} %{?no_lang_C}
%suse_update_desktop_file shotwell
%suse_update_desktop_file shotwell-viewer

%clean
rm -rf %{buildroot}

%post
%glib2_gsettings_schema_post
%desktop_database_post
%icon_theme_cache_post

%postun
%glib2_gsettings_schema_postun
%desktop_database_postun
%icon_theme_cache_postun

%files
%defattr(-,root,root)
%doc AUTHORS COPYING MAINTAINERS NEWS README THANKS
%dir %{_datadir}/gnome/
%dir %{_datadir}/gnome/help/
%dir %{_datadir}/gnome/help/%{name}/
%doc %{_datadir}/gnome/help/%{name}/C/
%{_bindir}/shotwell
%dir %{_datadir}/appdata
%{_datadir}/appdata/shotwell.appdata.xml
%{_datadir}/applications/shotwell*.desktop
%{_datadir}/GConf/gsettings/shotwell.convert
%{_datadir}/glib-2.0/schemas/org.yorba.shotwell.gschema.xml
%{_datadir}/glib-2.0/schemas/org.yorba.shotwell-extras.gschema.xml
%{_datadir}/icons/hicolor/*/apps/shotwell.svg
%{_datadir}/shotwell/
%{_libdir}/shotwell/
%dir %{_libexecdir}/shotwell
%{_libexecdir}/shotwell/shotwell-settings-migrator
%{_libexecdir}/shotwell/shotwell-video-thumbnailer

%files lang -f %{name}.lang

%changelog
* Thu Apr 14 2016 mgorse@suse.com
- Update to GNOME 3.20  Fate#318572
- Drop 0001-Shotwell-flickr-api-change-fix.patch and
  0001-Shotwell-crashes-when-adjusting-date-time-Closes-bug.patch:
  fixed upstream.
* Wed Jan  6 2016 dimstar@opensuse.org
- Update to version 0.22.0+git.20160103 (based on source service):
  + Port to webkit2gtk-4.0.
  + Don't pack webview into a scrolled window.
  + Have all soup sessions validate TLS certificates (boo#958382).
  + facebook: Don't disable XSS auditor.
  + Updated translations.
- Replace pkgconfig(webkitgtk-3.0) BuildRequires with
  pkgconfig(webkit2gtk-4.0), following upstreams port to WebKit2.
* Fri Aug 28 2015 cxiong@suse.com
- Add 0001-Shotwell-flickr-api-change-fix.patch
  Flickr's API has gone to HTTPS only, this patch backport upstream fix for it.
  (bnc#943559 bgo#732432)
* Tue Mar 24 2015 dimstar@opensuse.org
- Update to version 0.22.0:
  + Improved metadata support for Facebook upload (bgo#742163).
  + Saved search now properly supports text is-set, not-set
    (bgo#743924, bgo#743923).
  + Import title, exposure time when available.
  + User interface improvements (bgo#744291, bgo#719284, more).
  + Sort photos by filename (bgo#717878).
  + Updated translations.
* Tue Feb  3 2015 dimstar@opensuse.org
- Update to version 0.21.0:
  + User interface refresh (bgo#742326, bgo#742443).
  + Fix Shotwell Viewer .desktop file (bgo#743799).
  + Natural sorting of photo titles (bgo#717960).
  + Improved video thumbnailer (bgo#739396, bgo#741821).
  + Updated translations.
* Fri Oct 31 2014 zaitor@opensuse.org
- Update to version 0.20.2:
  + Set Desktop Slideshow dialog resource now included in
    distribution (bgo#739095).
  + Check for rendering failure in video thumbnailer (bgo#738245).
  + Updated translations.
* Wed Oct  8 2014 mgorse@suse.com
- Add
  0001-Shotwell-crashes-when-adjusting-date-time-Closes-bug.patch:
  Fix a crash when updating the date/time of a photo (bnc#899715).
* Fri Oct  3 2014 zaitor@opensuse.org
- Update to version 0.20.1:
  + Correct problems with navigating photos in full-screen mode
    (bgo#737092).
  + Better memory utilization via more conservative pixbuf cache
    (bgo#715198).
  + Fixes minor bugs detected by better Vala code analysis.
* Sat Sep 20 2014 zaitor@opensuse.org
- Update to version 0.20.0:
  + Fix crash when deleting a photo in Shotwell Photo Viewer.
  + Fix crash when deleting a photo.
  + Better detection of corrupt files while importing.
  + Updated translations.
* Fri Aug 22 2014 dimstar@opensuse.org
- Update to version 0.19.0:
  + Support for Rajce.net and Gallery 3 photo services added.
  + Set background image for lock screen.
  + Better detection of corrupt images during import.
  + Various bug fixes.
  + Updated translations.
- Drop upstream fixed patches shotwell-vala.patch and
  0001-Remove-photo-from-the-collection-when-deleting-in-si.patch.
* Thu Jul 24 2014 dimstar@opensuse.org
- Add shotwell-vala.patch: Fix build with vala 0.25.1 (bgo#733650).
* Wed Jul 23 2014 mgorse@suse.com
- Add
  0001-Remove-photo-from-the-collection-when-deleting-in-si.patch:
  fix possible crash after deleting photo (bnc#869348, bgo#732964).
* Wed Jul 23 2014 mgorse@suse.com
- Add
  0001-Remove-photo-from-the-collection-when-deleting-in-si.patch:
  fix possible crash after deleting photo (bnc#869348 bgo#732964).
* Wed Jul  2 2014 dimstar@opensuse.org
- Update to version 0.18.1:
  + Fix Flickr publishing errors due to Flickr moving to HTTPs-only.
  + Fix crash when updating photo data/time.
  + Fix crash due to nested tag and changing sidebar selection.
  + Corrected URLs to point to new gnome.org pages.
* Wed Mar 19 2014 dimstar@opensuse.org
- Update to version 0.18.0:
  + Compile and install translated help files.
  + Updated translations.
- Add pkgconfig(gnome-doc-utils) BuildRequires: new dependency.
* Tue Mar  4 2014 dimstar@opensuse.org
- Update to version 0.17.2:
  + UNIX pipe unnecessarily left open for each imported video.
  + Improved searching for event comments and diacritics.
  + Updated translations.
* Thu Feb 20 2014 zaitor@opensuse.org
- Update to version 0.17.1:
  + Parent folder names as search keywords rolled back
    (bgo#722756).
  + Updated translations.
* Wed Feb  5 2014 dimstar@opensuse.org
- Update to version 0.17.0:
  + Include parent folder names for keyword search.
  + Tumblr publishing fixed.
  + Bug fixes.
  + Updated translations.
* Mon Nov 25 2013 dimstar@opensuse.org
- Update to version 0.15.1:
  + Install Tumblr plugin resources.
  + Fix crash when video thumbnails are being inspected and
    created.
* Fri Oct  4 2013 dimstar@opensuse.org
- Update to version 0.15.0:
  + Copy and paste color adjustments between photos.
  + Highlights detail adjustment.
  + YouTube plugin now uses OAuth / OpenID.
  + Videos in Missing Files now re-import properly.
  + Improvements when thumbnailing videos.
  + Numerous bug fixes.
- Drop upstream fixed patches:
  + shotwell-no-libexecdir.patch.
  + shotwell-build-with-LibRaw-0.15.patch.
  + shotwell-vala-0.21.1.patch.
  + shotwell-fix-bnc835758.patch.
- Pass --libexec %%{_libexecdir}/%%{name} to configure.
* Wed Aug 28 2013 dimstar@opensuse.org
- Add shotwell-fix-bnc835758.patch: fix crash on importing AVI
  files with "Mon Mar  3 09:44:56 2008" date format (bnc#835758).
* Fri Aug  9 2013 dimstar@opensuse.org
- Add shotwell-vala-0.21.1.patch: Fix build with Vala 0.21.1.
* Sun Jun 23 2013 zaitor@opensuse.org
- Add shotwell-build-with-LibRaw-0.15.patch, fix build with
  LibRaw-0.15.
* Thu Apr  4 2013 dimstar@opensuse.org
- Update to version 0.14.1:
  + Fixes a critical issue where Shotwell could close unexpectedly
    when working with RAW photos in direct-edit mode.
  + The Facebook Connector now recovers smoothly from type 7
    errors.
  + EXIF-oriented photos uploaded to Facebook now appear in their
    correct orientation, even when the strip metadata option is
    turned on in the Facebook Connector.
  + Fixes an issue where incorrect view filter settings were
    applied on tag and event pages.
  + The Camera Developer is now disabled for RAW images that lack a
    suitable paired or embedded JPEG.
  + Assorted smaller bug fixes.
  + Updated translations.
* Tue Mar 19 2013 dimstar@opensuse.org
- Update to version 0.14.0:
  + A folder tree in the sidebar provides a directory-hierarchy
    view of your Shotwell library.
  + Dramatically improved user experience for RAW photographers.
  + Comprehensive logging of photo and video import.
  + The Facebook Connector now uses the Facebook Graph API.
  + The Shotwell video subsystem now relies on GStreamer 1.0.
  + New slideshow effects.
  + Improved Piwigo support.
  + Ability to show and hide the main Shotwell sidebar.
  + Numerous bug fixes.
  + Updated translations.
- Replace BuildRequires for port to GStreamer 1.0:
  + Old: pkgconfig(gstreamer-0.10), pkgconfig(gstreamer-base-0.10),
    pkgconfig(gstreamer-pbutils-0.10).
  + New: pkgconfig(gstreamer-1.0), pkgconfig(gstreamer-base-1.0),
    pkgconfig(gstreamer-pbutils-1.0).
* Wed Oct 10 2012 dimstar@opensuse.org
- Update to version 0.13.1:
  + Fixes an issue in which Shotwell would crash after deleting all
    photos present in a view.
  + Fixes an issue where Shotwell would not include all selected
    photos during a Nautilus "Send To..." export operation
  + Corrects a problem in which the file chooser dialog used to
    select Shotwell's library location would inappropriately select
    the parent directory of the chosen directory
  + Shotwell now properly inhibits the system screensaver when
    playing a slideshow
  + Fixes an issue in which the search filter bar could become
    invisible even though a filter was being applied
  + A progress bar now correctly appears during long batch rotate
    and auto-enhance operations
  + Shotwell no longer crashes when certain kinds of malformed
    responses are received from remote servers during photo
    publishing
  + Corrected translation and desktop integration error.
- Add shotwell-no-libexecdir.patch: Move the migrator binary from
  /usr/libexec/shotwell to /usr/lib/shotwell, which is our
  %%{_libexecdir} specification.
* Fri Sep 28 2012 dimstar@opensuse.org
- Update to version 0.13.0:
  + The Shotwell Extras plugins now include support for publishing
    photos to Tumblr
  + Shotwell correctly handles dates before 1969
  + Shotwell lets you remove sensitive information from photos
    before publishing them to social media sites
  + Shotwell regenerates thumbnails automatically, making migrating
    libraries between computers easier
  + The Picasa connector now uses OAuth authentication for enhanced
    security
  + Bug fixes
  + Updated translations.
- Drop shotwell-0.12.3-libgphoto25.patch: fixed upstream.
- Add pkgconfig(json-glib-1.0) BuildRequires: new dependency.
- Remove obsolete openSUSE version conditions (<= 11.3).
* Fri Sep 14 2012 idonmez@suse.com
- Add shotwell-0.12.3-libgphoto25.patch to fix compilation with
  libgphoto2 2.5.0
* Mon May 14 2012 vuntz@opensuse.org
- Update to version 0.12.3:
  + Corrects an issue where tags could be inappropriately removed
    from a library.
  + Enhances support for AVCHD-capable cameras.
  + Prevents a soft lockup that could occur when certain very dark
    images were autoenhanced.
  + Corrects an issue where pressing the zoom hotkeys in certain
    parts of the application could cause a crash.
* Thu Apr 12 2012 dimstar@opensuse.org
- Update to version 0.12.2:
  + Corrects an issue where graphical corruption of the UI could
    occur if the user navigated away from a camera page while
    camera previews were being generated.
  + Adds enhanced support for the Unity desktop environment.
  + Clarified several strings.
  + The application now recovers gracefully from corrupted tag
    data.
* Fri Mar 30 2012 vuntz@opensuse.org
- Update to version 0.12.1:
  + Fix a critical issue where the application could not be started
    in direct-edit mode.
* Wed Mar 28 2012 vuntz@opensuse.org
- Update to version 0.12.0:
  + Several bug fixes and stability enhancements.
  + Updated translations.
* Tue Feb 21 2012 dimstar@opensuse.org
- Update to version 0.11.93:
  + A new straighten tool
  + Migrated from GTK 2 to GTK 3
  + Flickr login now uses OAuth authentication
  + Plugins can now implement new import sources; F-Spot import is
    now implemented via such a plugin.
  + Shotwell now imports only photos from the DCIM directory on
    Android devices
  + Saved searches can exclude all photos tagged with a given
    string
  + Many bug fixes
- Drop shotwell-no-max-vala.patch: fixed upstream.
- Replace pkgconfig()-style BuildRequires for port to GTK3:
  + Removed: webkit-1.0, unique-1.0, gtk+-2.0
  + Added: webkitgtk-3.0, unique-3.0, gtk+-3.0
- Add pkgconfig(rest-0.7) BuildRequires, new dependency.
- Remove the hack to remove --fatal-warnings from configure.
* Mon Feb 13 2012 coolo@suse.com
- patch license to follow spdx.org standard
* Sun Nov  6 2011 dimstar@opensuse.org
- Update to version 0.11.6:
  + Fixes a critical bug in which adding or modifying tags in the
    single-photo view could result in the loss of tag data.
* Wed Oct 19 2011 dimstar@opensuse.org
- Update to version 0.11.5:
  + Fixes a collection concurrent access issue that could cause
    Shotwell to crash during F-Spot import for users still
    affected by this issue even after installing Shotwell 0.11.4.
* Fri Oct 14 2011 dimstar@opensuse.org
- Update to version 0.11.4:
  + Fixes two collection concurrent access issues that could cause
    Shotwell to crash during F-Spot import.
* Wed Oct 12 2011 dimstar@opensuse.org
- Update to version 0.11.3:
  + Fixes a critical issue where Shotwell could crash immediately
    following a photo import.
  + Fixes a critical issue where Shotwell could crash if the user
    entered a tag name containing a slash ("/") character.
  + Long error messages in the Publishing dialog box are now
    wrapped correctly.
* Wed Sep 21 2011 dimstar@opensuse.org
- Update to version 0.11.2:
  + Increases stability working with hierarchical tags.
  + Importing hierarchical tags from F-Spot now works properly.
  + Fixes "server redirect contained no session key" errors in
    the Facebook Connector.
  + Corrects problems with item counts over mixed media.
  + Various small fixes and enhancements.
- Rebase shotwell-no-max-vala.patch.
* Fri Sep  9 2011 vuntz@opensuse.org
- Update to version 0.11.1:
  + RAW+JPEG pairing now works on file import
  + Startup crashes fixed
  + Hierarchical tag issues resolved
  + RAW developer bugs fixed
  + Resolved internationalization problems
  + Various small fixes and enhancements
- Drop shotwell-disable-schema-compile.patch: fixed upstream.
- Drop shotwell-remove-gconf-schema.patch: fixed upstream.
- Add shotwell-no-max-vala.patch: allow to build against vala
  0.13/0.14.
* Wed Sep  7 2011 vuntz@opensuse.org
- Add shotwell-disable-schema-compile.patch: add a
  - -disable-schemas-compile configure option to not call
  glib-compile-schemas on install.
- Add shotwell-remove-gconf-schema.patch: remove gconf schema.
- Remove --disable-schemas-install from configure, and add
  - -disable-schemas-compile there.
- Remove manual removal of gsettings schema blob: it's not created
  anymore.
- Remove all the gconf schema packaging machinery.
- Remove unneeded pkgconfig() BuildRequires that disappeared in
  previous releases: dbus-glib-1, gnome-vfs-2.0, json-glib-1.0.
- Add explicit pkgconfig(gio-unix-2.0) BuildRequires.
* Sat Aug 27 2011 dimstar@opensuse.org
- Update to version 0.11.0:
  + Hierarchical tags
  + Support for RAW+JPEG and selectable RAW developer
  + Switched from GConf to GSettings
  + "Hide Photos Already Imported" is now persistent
  + New Saved Search options
  + Mimics no longer stored in home directory
  + Added support for BMP format
  + Many, many bugfixes
- Add pkgconfig(gstreamer-pbutils-0.10) BuildRequires: new
  dependency.
- Add gsettings schema handling with %%glib2_gsettings_schema_*
  macros.
- Manually remove gsettings schema blob since "make install"
  creates it, but this shouldn't get packaged.
* Wed Aug 10 2011 dimstar@opensuse.org
- Remove --fatal-warnings from the Makefile for now. This fixes
  build failures with Vala 0.13.x. Upstream is working together
  with the vala developers on an actual solution. See also
  http://redmine.yorba.org/issues/3760.
* Sat Jun  4 2011 dimstar@opensuse.org
- Update to version 0.10.1:
  + Fixes "Hide Photos Already Imported"
  + Multiple editing bugs fixed
  + Resolves crash when two or more cameras have the same name
  + Documentation now includes saved searches
  + Piwigo bugs fixed
  + Updated translations.
* Fri May 27 2011 dimstar@opensuse.org
- Update to version 0.10:
  + Dynamic view of photo library through saved search feature
  + Automatic database backup
  + Adjust date/time for videos
  + Added Valadate testing framework
  + Shotwell video thumbnailer eliminates Totem dependency
  + Crop tool is now more flexible
  + Filenames no longer used as titles on Facebook and Picasa
    uploads
  + Many bug fixes
  + Updated translations.
* Tue Apr 26 2011 dimstar@opensuse.org
- Update to version 0.9.3:
  + Resolves issue where setting the desktop background didn't work
    in Gnome3
  + Mimics are now deleted when a RAW photo is removed
  + Event dates are now only shown once in the Event view
  + Updated translations.
* Mon Apr 18 2011 dimstar@opensuse.org
- Update to version 0.9.2:
  + Resolves translation issue where shotwell.mo is installed in
    wrong location
  + Fixes issue where cancelling Flickr upload can crash Shotwell
  + Fixes issue where creating a Picasa Web album with an ampersand
    in the name crashes Shotwell
  + Resolves bug where selecting "Publish" in single photo mode
    publishes the entire library instead of the selected photo
  + Async I/O in publishing operations is now stopped when the user
    cancels the operation
  + Issue fixed on Fedora where the text was cut off in publishing
    dialog
  + Fixes issue with ratings filter where it didn't function when
    the search bar was hidden.
* Fri Apr  8 2011 dimstar@opensuse.org
- Update to version 0.9.1:
  + Fixes many crashes and other issues in publishing plugins.
  + Fixes issues where paths and filenames are not displayed
    correctly after a failed import.
  + Fixed issue where text search in event and camera import pages
    was a string match instead of a keyword match.
  + For enhanced compatibility with GNOME 3, the desktop name of
    the Shotwell application has changed from
    "Shotwell Photo Manager" to simply "Shotwell".
  + Shotwell now provides a configure script option to set the name
    of the system library directory to either lib or lib64.
  + Enhanced visibility of red-eye reticle.
  + Fixed issue where the Adjust palette could be positioned
    partially off-screen
  + Plugins now respect --debug switch in configure script.
  + The event containing undated photos could be incorrectly
    labelled "(null)" in the events directory page.
- Pass --lib=%%{_lib} to configure in order to get the plugins
  installed in the correct location.
* Mon Apr  4 2011 dimstar@opensuse.org
- Update to version 0.9.0:
  + New search bar can filter by media type, rating, and text
    matching. (Titles, filename, tag and event names are searched.)
  + TIFF support
  + Extensible plugin framework for Web publishing and slideshow
    transitions.
  + Print multiple photos, and multiple photos per page.
  + Configurable user directory pattern during import.
  + Edit multiple photo titles at once.
  + Improved rendering of underexposed RAW photos.
  + Various improvements and bug fixes.
- BuildRequire pkgconfig(gnome-vfs-2.0).
* Sat Feb 12 2011 vuntz@opensuse.org
- Call relevant macros in %%post/%%postun:
  + %%desktop_database_post/postun because the package ships at
    least one desktop file.
  + %%icon_theme_cache_post/postun because the package ships themed
    icons.
- Pass %%{?no_lang_C} to %%find_lang so that english documentation
  can be packaged with the program, and not in the lang subpackage.
- Change Requires of lang subpackage to Recommends, since the
  english documentation is not there anymore.
* Tue Jan 11 2011 dimstar@opensuse.org
- Update to version 0.8.1:
  + Fixes a problem where Shotwell could crash unexpectedly at
    startup or when reading/writing metadata to files.
  + Fixes a problem where Shotwell could hang when importing
    voice-annotated videos.
  + Fixes a problem where Shotwell failed to import date and time
    information for some camera-generated MP4 videos.
  + Shotwell can now delete video files from camera memory.
  + Shotwell now supports the 3GP video format common on mobile
    phones and RAW files with the SRW suffix generated by Samsung
    cameras.
  + Translation fixes and updates.
- Drop shotwell-fix-build-recent-vala.patch: fixed upstream.
* Fri Jan  7 2011 vuntz@opensuse.org
- Add shotwell-fix-build-recent-vala.patch to fix build with vala
  0.10.2.
* Tue Dec 28 2010 dimstar@opensuse.org
- Update to version 0.8.0:
  + Video support for Ogg, AVI, MP4, Quicktime, and WMV files.
  + Upload videos to major Web services, including YouTube,
    Facebook, Flickr, and PicasaWeb.
  + Runtime monitoring of library directory and auto-import of
    newly created files.
  + Background writing of metadata (tags, titles, rating,
    orientation, exposure date) to master files (user
    configurable).
  + Flagging of photos for batch operations.
  + Set multiple photos to desktop background slideshow.
  + Various bug fixes.
  + Numerous translation updates.
- Add BuildRequires: pkgconfig(gstreamer-0.10),
  pkgconfig(gstreamer-base-0.10) and pkgconfig(json-glib-1.0).
* Tue Dec 14 2010 vuntz@opensuse.org
- Own /usr/share/gnome and /usr/share/gnome/help to fix build.
* Sat Sep 11 2010 vuntz@opensuse.org
- Update to version 0.7.2:
  + Fixed major startup problem when the user's Pictures directory
    is actually a symbolic link.
  + Fixed potential crasher when the user's Pictures directory
    contains a large number of subdirectories.
  + No longer asking if copying or linking if importing from
    Pictures directory (which will always be linked).
  + Fixed issue when logging in to PicasaWeb with a password with a
    '+' character.
  + Fixed update problem when using an external editor on a photo
    that was edited externally in an earlier session.
  + Various bug fixes.
  + Numerous translation updates.
* Mon Sep  6 2010 vuntz@opensuse.org
- Use libraw-devel-static BuildRequires instead of libraw-devel.
* Fri Aug 27 2010 badshah400@gmail.com
- Update to version 0.7.1:
  + Fixed a critical bug that caused Shotwell to crash when
    deleting the only photo in an event
  + F-Spot import now correctly interprets older databases
  + Fixed an issue where pressing F11 would not exit full-screen
    mode
  + Translation updates for several languages
  + Updated documentation
- Changes from version 0.7.0:
  + Migration support for F-Spot users: Shotwell can import photos
    directly from your F-Spot library, preserving tags and ratings.
  + Photos can be rated on a 1-5 star scale or marked as rejected.
    A filter button supports viewing only photos of a specified
    rating or better.
  + A new Last Import page in the sidebar gives you instant
    access to your most recently imported photo roll.
  + Sidebar functionality and appearance have been improved with
    new icons and inline renaming.
  + Shotwell scans your library files at startup, looking for
    changes. Maintains library consistency when working with
    photos in other applications.
- Remove shotwell-fix-libraw-config-64.patch, fixed upstream
* Wed Aug 11 2010 vuntz@opensuse.org
- Initial package (version 0.6.1).
